CONFIG +=			release \
					warn_on \
					qt \
					thread 

TEMPLATE =			app
DESTDIR =			bin

CONFIG(debug, debug|release) {
	TARGET =		laserdataviewerd
} else {
	TARGET =		laserdataviewer
}

OBJECTS_DIR =		build/obj
MOC_DIR =			build/moc

QT +=				core \
					gui

greaterThan(QT_MAJOR_VERSION, 4): {
QT +=				widgets

}

# DEPENDPATH +=		<relative path>/lib
# INCLUDEPATH +=	<relative path>/src
# LIBS+=			-L<relative path>/lib -l<library name>

SOURCES +=			src/laserdataviewer.cpp \
					src/laserfile.cpp \
					src/main.cpp \
					../core/graphwidget.cpp \
					../core/vector2.cpp \
					../core/vector3.cpp

HEADERS +=			src/laserdataviewer.h \
					src/laserfile.h \
					../core/graphwidget.h \
					../core/vector2.h \
					../core/vector3.h

RESOURCES +=		res/laserdataviewer.qrc

macx{

ICON =			res/icons.icns
OBJECTIVE_SOURCES += ../core/nspool.mm
HEADERS += 			../core/nspool.mm
LIBS +=				-framework AppKit -framework Cocoa

QMAKE_INFO_PLIST = ../default_data/Info.plist
}

linux-g++{

isEmpty(PREFIX) {
PREFIX = 			/usr/lib/laserdataviewer
}
target.path =		$$PREFIX
target.files =		bin/laserdataviewer
INSTALLS +=			target

# QMAKE_POST_LINK = patchelf --set-rpath ./qtlibs bin/laserdataviewer
}

win32 {
RC_FILE =			res/resource.rc
}
